import { ExpressiveCodeTheme, ExpressiveCodePlugin } from '@expressive-code/core';
import { BUNDLED_THEMES } from 'shiki';

/**
 * A list of all themes bundled with Shiki.
 */
type BundledShikiTheme = Exclude<(typeof BUNDLED_THEMES)[number], 'css-variables'>;
/**
 * Loads a theme bundled with Shiki for use with Expressive Code.
 *
 * If the given theme name is not a bundled theme, it will be treated as a path to a theme file.
 */
declare function loadShikiTheme(bundledThemeName: BundledShikiTheme): Promise<ExpressiveCodeTheme>;
declare function pluginShiki(): ExpressiveCodePlugin;

export { BundledShikiTheme, loadShikiTheme, pluginShiki };
